Summary:	Create water effect on your X background
Name:		xdesktopwaves
Version:	1.4
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://xdesktopwaves.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/xdesktopwaves/xdesktopwaves/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)

%description
Xdesktopwaves is a cellular automata setting the background of your X Windows
desktop under water. Windows and mouse are like ships on the sea. Each
movement of these ends up in moving water waves. You can even have rain
and/or storm stirring up the water.

%prep
%setup -q

# do not strip binary
sed -i -e 's|-m 0755 -s|-m 0755|' Makefile

%build
%make_build CFLAGS="-I%{_prefix}/X11R6/include %{optflags}"

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

%make_install BINDIR=%{buildroot}%{_bindir} MAN1DIR=%{buildroot}%{_mandir}/man1


%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.4-4.mga10
+ Revision: 2196649
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 1.4-3.mga9
+ Revision: 1800553
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1535087
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 daviddavid <daviddavid> 1.4-1.mga8
+ Revision: 1451411
- new version: 1.4

* Sun Sep 23 2018 umeabot <umeabot> 1.3-11.mga7
+ Revision: 1301830
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.3-10.mga6
+ Revision: 963492
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 1.3-9.mga6
+ Revision: 894094
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 741452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 690577
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 520507
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 386709
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 grenoya <grenoya> 1.3-4.mga1
+ Revision: 96344
- imported package xdesktopwaves


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3-4mdv2010.0
+ Revision: 435074
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2009.0
+ Revision: 222249
- BuildRequires libxext-devel
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/26/06 20:17:43 (42246)
- rebuild
- update buildrequires

* Wed Jul 26 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/26/06 20:08:52 (42240)
Import xdesktopwaves

* Fri Mar 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- 1.3

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- 1.2

* Sat Nov 20 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-1mdk
- First mdk spec

